version: "3"
services:
  postgres:
    image: postgres:latest
    restart: always
    env_file:
      - prod.env
    volumes:
      - postgres:/var/lib/postgresql/data

  nginx:
    image: nginx:latest
    restart: always
    volumes:
      - static-files:/static-files
      - media-files:/media-files
      - frontend:/frontend
      - ./backend/config:/etc/nginx/conf.d
      - /etc/letsencrypt:/etc/letsencrypt
    ports:
      - "80:80"
      - "443:443"
  #    command: /bin/bash -c "nginx -g 'daemon off;'"

  app:
    image: registry.gitlab.propulsion-home.ch/full-stack/batch-2018-09/group-projects/aquarius:master
    restart: always
    env_file:
      - prod.env
    depends_on:
      - postgres
    command: "sh /backend/scripts/run.sh"
    volumes:
      - static-files:/static-files
      - media-files:/media-files
      - frontend:/frontend

volumes:
  postgres:
  static-files:
  media-files:
  frontend:
